//Mopdules
import React from 'react';
import {View, Text, ScrollView} from 'react-native';

//Components
import {Header, Footer, Hero} from '../index';

class DefaultLayout extends React.Component {
constructor(props){
    super(props);
}

    render() {
        return (
            <View>
            <ScrollView style={{marginBottom: 50,}}>
                <Header/>
                {this.props.children} 
            </ScrollView>
            <Footer/>
            </View>
        );
    }
}

class UserProfileLayout extends React.Component {
    constructor(props){
        super(props);
    }

    render() {
        return (
            <View>
            <ScrollView style={{marginBottom: 50,}}>
                <Header/>
                <Hero HeroHeading="Frits Haringa" HeroText="Student Applicatie en Mediaontwikkeling jaar 3"/>
                {this.props.children} 
            </ScrollView>
            <Footer/>
            </View>
        );
    }
}

export { DefaultLayout, UserProfileLayout };